name: siro_driver
description: "A new Flutter project."
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=3.0.5 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  # Local Packages
  bubble_head:
    path: ./bubble-master
  get:
    path: ../../Intaleq/packages/get
  get_storage:
    path: ../../Intaleq/packages/get_storage
  intaleq_maps:
    path: ../../map-saas/packages/flutter-sdk/
  secure_string_operations:
    path: ./secure_string_operations
  trip_overlay_plugin:
    path: ./trip_overlay_plugin

  # Core & UI
  animated_text_kit: ^4.2.2
  calendar_builder: ^0.0.6
  cupertino_icons: ^1.0.2
  flutter_webrtc: ^1.4.1
  fl_chart: ^1.2.0
  flutter_confetti: ^0.5.1
  flutter_font_icons: ^2.2.5
  flutter_rating_bar: ^4.0.1
  flutter_staggered_animations: ^1.1.1
  flutter_svg: ^2.2.0
  flutter_widget_from_html: ^0.17.1
  google_fonts: ^8.0.2
  lottie: ^3.3.1
  shimmer: ^3.0.0
  slide_to_act: ^2.0.2
  qr_flutter: ^4.1.0

  # Services & Hardware
  battery_plus: ^7.0.0
  connectivity_plus: ^6.1.5
  device_info_plus: 11.2.2
  envied: ^1.0.0
  firebase_auth: ^6.3.0
  firebase_core: ^4.6.0
  firebase_messaging: ^16.1.3
  flutter_background_service: ^5.1.0
  flutter_contacts: ^1.1.8
  flutter_local_notifications: ^21.0.0
  flutter_overlay_window: ^0.5.0
  flutter_tts: ^4.0.2
  geolocator: ^14.0.2
  google_sign_in: ^7.2.0
  googleapis_auth: ^2.0.0
  image_cropper: ^12.1.1
  image_picker: ^1.0.4
  internet_connection_checker: ^3.0.1
  jailbreak_root_detection: ^1.1.5
  just_audio: ^0.10.5
  live_activities: ^2.3.0
  local_auth: ^3.0.1
  location: ^8.0.0
  package_info_plus: ^9.0.1
  permission_handler: ^12.0.1
  quick_actions: ^1.1.0
  record: ^6.2.0
  share_plus: ^12.0.2
  sign_in_with_apple: ^7.0.1
  socket_io_client: 1.0.2
  url_launcher: ^6.3.1
  vibration: ^3.1.8
  video_player: ^2.9.2
  wakelock_plus: 
  webview_flutter: ^4.9.0
  youtube_player_flutter: ^9.0.4

  # Data & Network
  dio: ^5.4.3+1
  encrypt: ^5.0.3
  flutter_image_compress: ^2.3.0
  flutter_secure_storage: ^10.0.0
  flutter_web_browser: ^0.17.3
  http: ^1.2.2
  intl: ^0.20.2
  jwt_decoder: ^2.0.1
  path: ^1.8.3
  sqflite: ^2.3.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0
  envied_generator: ^1.0.0
  build_runner: ^2.4.6
  flutter_launcher_icons: ^0.14.4

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  web:
    generate: true
    image_path: "assets/images/logo.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"
  windows:
    generate: true
    image_path: "assets/images/logo.png"
    icon_size: 48
  macos:
    generate: true
    image_path: "assets/images/logo.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/fonts/
    - shorebird.yaml

  fonts:
    # - family: mohanad
    #   fonts:
    #     - asset: assets/fonts/mohanad.ttf
    # - family: josefin
    #   fonts:
    #     - asset: assets/fonts/josefin.ttf
    - family: digit
      fonts:
        - asset: assets/fonts/digit.ttf
dependency_overrides:
  get:
    path: ../../Intaleq/packages/get
